<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');


if($_SESSION['parteCIP']['NumParte']) {

	include('librerias/fotos-documento.php');
	//20-8-2020 detectamos que en un entorno multiempresa hay que separar las fotos, por eso el ultimo parametro añade la empresa
	$fotosEntrada=new FotosDocumento('cip',$_SESSION['parteCIP']['NumParte'],$_SESSION['parteCIP']['Empresa']);
	
	if($_POST['borrarfoto']) {
		
		$fotosEntrada->borraFoto($_POST['nombreArchivo']);
	
	}
	
	if($_FILES['archivo']['name']) {
		
		if( $fotosEntrada->grabaFoto($_FILES['archivo']) ) {
					
			?><p>Nueva fotografía subida correctamente.</p><?php
			
		}
		else {
			?><script>alert('ERROR: No pudo subirse la fotografía.',null,'error')</script><?php
		}
			
	}
	
	$fotosSubidas=$fotosEntrada->fotosSubidas();
	$contadorSubidas=count($fotosSubidas);



	?>
	
	<h2>Parte de Inspección Portuaria Nº <?php echo $_SESSION['parteCIP']['NumParte']; ?></h2>
	
	<form action="" method="post" enctype="multipart/form-data" name="formularioFotos" id="formularioFotos">
	
    	<div id="filescontainer">
        <div id="filecontainer1" class="fileUpload btn btn-primary">
            <img src="<?php echo DIR_IMAGENES; ?>/botones/camera-open.png" style="margin-top:20px" border="0">
            <input type="file" name="archivo" id="archivo" onChange="subirFoto();" accept="image/*" capture="camera" class="upload" />
        </div>
        </div>
                
        <div id="popupFoto" class="popupScroll" style="display:none"></div>
        <div id="popupFotoContenido" class="popupContenidoScroll" style="display:none;padding:20px">
        	<img src="" id="fotoGrande" style="max-width:100%" class="cerrable"/>
            <input id="nombreArchivo" name="nombreArchivo" type="hidden" value="" />
            
            <input id="borrarfoto" name="borrarfoto" type="hidden" value="" />
            <p><img name="botonBorrar" id="botonBorrar" src="<?php echo DIR_IMAGENES; ?>/papelera.png" style="float:right;width:40px;height:40px;margin-top:10px;margin-left:-100px;" border="0"/><input type="button" id="boton" name="boton" value="Cerrar" class="campoRedondeado boton cerrable" style="width:150px" /></p>
            
        </div>
                
    </form>
    
    
    <?php
	
	if($contadorSubidas>0) {
	
		?>
		<p>Fotografías grabadas:</p>
        
        <div class="miniaturas-contenedor">
        <?php
		foreach($fotosSubidas as $foto) {
			?><div class="miniaturas-caja"><img src="<?php echo $fotosEntrada->rutaHtml."/".$foto; ?>" class="miniatura selectorFotoDinamica" archivo="<?php echo $foto; ?>"></div><?php
		}
		?>
        </div>
        <?php
		
	}
	
	?>
    
     <p><input type="button" id="botonVolver" name="botonVolver" value="Volver al Parte" class="boton"/></p>
	
	<script>
	
	function subirFoto() {
	
		$('#popupCargando').show();
		$('#formularioFotos').submit();
	}
	
	$(document).ready(function() {
	
		$(document).on('click','.selectorFotoDinamica',function(){
			$('#fotoGrande').attr('src',$(this).attr('src'));
			$('#nombreArchivo').val($(this).attr('archivo'));
			$('#popupFoto').fadeIn();
			$('#popupFotoContenido').fadeIn();
			
		});
					
		$(document).on('click','.cerrable',function(){
			$('#popupFoto').hide();
			$('#popupFotoContenido').hide();
		});
		
		$('#botonBorrar').on('click',function(){
			confirm('Se va a proceder a borrar esta fotografía.<br>¿Deseas continuar?','advertencia')
			.done(function(){
				$('#borrarfoto').val(1);
				$("#popupCargando").show();
				$('#formularioFotos').submit();
			});
		});
		
		$('#botonVolver').on("click",function(e){
		
			e.preventDefault();
			$("#popupCargando").show();
			window.location='inspeccion-portuaria-parte.php?parte=<?php echo $_SESSION['parteCIP']['NumParte']; ?>';
		});
		
	});
	
	</script>
	
	<?php
	
}
else {
	?><p class="error">Error, no consta ningún Parte de Inspección al que asociar fotografías.</p><?php
}

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>